## lyx 2.0.0~beta4

=== development/cmake/CMakeLists.txt ===

# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>


cmake_minimum_required(VERSION 2.6.4)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 OLD)
	cmake_policy(SET CMP0005 OLD)
endif()

set(LYX_PROJECT lyx)
project(${LYX_PROJECT})

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# Supress regeneration
set(CMAKE_SUPPRESS_REGENERATION FALSE)

# where to look first for cmake modules,
# before ${CMAKE_ROOT}/Modules is checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/modules")
include(LyXMacros)


# Usage LYX_OPTION
# 1. parameter: option name without prefix 'LYX_'
# 2. parameter: description
# 3. parameter: default value, ON or OFF
# 4. parameter: system on which option is used: ALL, GCC, MSVC, ...


LYX_OPTION_INIT()

# Options for all compilers/systems
LYX_OPTION(CPACK "Use the CPack management (Implies LYX_INSTALL option)" OFF ALL)
LYX_OPTION(INSTALL "Build install projects/rules (implies a bunch of other options)" OFF ALL)
LYX_OPTION(NLS "Use nls" OFF ALL)
LYX_OPTION(ASPELL "Require aspell" OFF ALL)
LYX_OPTION(ENCHANT "Require Enchant" OFF ALL)
LYX_OPTION(HUNSPELL "Require Hunspell" OFF ALL)
LYX_OPTION(DEVEL_VERSION "Build developer version" OFF ALL) 
LYX_OPTION(RELEASE "Build release version, build debug when disabled" ON ALL)
LYX_OPTION(PACKAGE_SUFFIX "Use version suffix for packaging" ON ALL)
LYX_OPTION(PCH "Use precompiled headers" OFF ALL)
LYX_OPTION(MERGE_FILES "Merge source files into one compilation unit" OFF ALL)
LYX_OPTION(MERGE_REBUILD "Rebuild generated files from merged files build" OFF ALL)
LYX_OPTION(QUIET "Don't generate verbose makefiles" OFF ALL)
LYX_OPTION(INSTALL_PREFIX "Install path for LyX" OFF ALL)
LYX_OPTION(EXTERNAL_LIBINTL "Use external libintl" ON ALL)

# GCC specific
LYX_OPTION(PROFILE "Build profile version" OFF GCC)
LYX_OPTION(EXTERNAL_BOOST "Use external boost" OFF GCC)
LYX_OPTION(PROGRAM_SUFFIX "Append version suffix to binaries" ON GCC)
LYX_OPTION(DEBUG_GLIBC "Enable libstdc++ debug mode" OFF GCC)
LYX_OPTION(DEBUG_GLIBC_PEDANTIC "Enable libstdc++pedantic debug mode" OFF GCC)
LYX_OPTION(STDLIB_DEBUG "Use debug stdlib" OFF GCC)
LYX_OPTION(CONCEPT_CHECKS "Enable concept-checks" OFF GCC)

# MSVC specific
LYX_OPTION(CONSOLE "Show console on Windows" ON MSVC)
LYX_OPTION(VLD "Use VLD with MSVC" OFF MSVC)
LYX_OPTION(WALL "Enable all warnings" OFF MSVC)
LYX_OPTION(CONFIGURE_CHECKS "Also run configure checks for MSVC" OFF MSVC)
LYX_OPTION(3RDPARTY_DOWNLOAD "Download precompiled 3rd party libraries for MSVC 10" OFF MSVC)

# Check option dependencies
if(LYX_CPACK)
	set(LYX_INSTALL ON)
endif()

if(LYX_INSTALL)
	set(LYX_NLS ON)
	if(NOT LYX_3RDPARTY_DOWNLOAD)
		set(LYX_ASPELL ON)
	endif()
	if (WIN32)
		set(LYX_HUNSPELL ON)
	endif()
	set(LYX_CONSOLE OFF)
	set(LYX_PACKAGE_SUFFIX ON)
	set(LYX_RELEASE ON)
	set(LYX_PROFILE OFF)
endif()

if(LYX_MERGE_FILES)
	set(LYX_PCH OFF)
else()
	set(LYX_MERGE_REBUILD OFF)
endif()

if(LYX_3RDPARTY_DOWNLOAD)
	message(STATUS)
	set(LYX_3RDPARTY_DIR ${CMAKE_BINARY_DIR}/msvc10-deps)
	message(STATUS "Using downloaded 3rd party libraries in ${LYX_3RDPARTY_DIR}")
	set(3rdparty_files
		crt-msvc2010-x86.zip 
		dict-hunspell-all.zip 
		dtl-modified-msvc2010-x86.zip 
		dvipost-1.1-modified-msvc2010-x86.zip 
		gettext-tools-0.18.1-x86.zip 
		ghostscript-8.71-msvc2010-x86.zip 
		hunspell-1.2.11-msvc2010-x86.zip 
		iconv-1.13.1-msvc2010-x86.zip 
		imagemagick-6.6.3-0-modified-msvc2010-x86.zip 
		libintl-0.18.1-msvc2010-x86.zip 
		netpbm-pnmcrop-10.27-x86.zip 
		pdftools-msvc2010-x86.zip 
		pdfview-x86.zip 
		python-2.6.5-msvc2010-x86.zip 
		thes-mythes-all.zip 
		zlib-1.2.5-msvc2010-x86.zip)
	foreach(it ${3rdparty_files})
		set(already_downloaded already_downloaded-NOTFOUND CACHE PATH "downloaded" FORCE)
		find_file(already_downloaded ${it} "${LYX_3RDPARTY_DIR}/downloads")
		if(NOT already_downloaded)
			message(STATUS "Downloading ${it} ...")
			file(DOWNLOAD ftp://ftp.devel.lyx.org/pub/contrib/windows/bin/${it} ${LYX_3RDPARTY_DIR}/downloads/${it} SHOW_PROGRESS)
			execute_process(COMMAND ${CMAKE_COMMAND} -E tar xzf ${LYX_3RDPARTY_DIR}/downloads/${it}
		                      WORKING_DIRECTORY ${LYX_3RDPARTY_DIR})
		endif()
	endforeach()
	set(GNUWIN32_DIR ${LYX_3RDPARTY_DIR})
endif()


message(STATUS)

set(EXECUTABLE_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/bin)
set(LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/lib)



if(UNIX OR MINGW)
	execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
	message(STATUS "Using GCC version ${GCC_VERSION}")
	if(NOT GCC_VERSION VERSION_LESS 4.4)
		set(LYX_USE_TR1 1)
		# GCC <= 4.5 does not support regex: there are linker errors
		# http://gcc.gnu.org/onlinedocs/libstdc++/manual/status.html#status.iso.tr1
		set(LYX_USE_TR1_REGEX 0)
	endif()
else()
	if(MSVC10)
		set(LYX_USE_TR1 1)
		set(LYX_USE_TR1_REGEX 1)
	endif()
endif()


set(VERSION_INFO "CMake Build")

# Try to get some informations from configure.ac

include(LyXPaths)    #called here to define the needed TOP_SRC_DIR-variable
file(STRINGS "${TOP_SRC_DIR}/configure.ac" _config_lines)

if(WIN32)
	set(USE_WINDOWS_PACKAGING 1)
elseif(APPLE)
	set(USE_MACOSX_PACKAGING 1)
else()
	set(USE_POSIX_PACKAGING 1)
endif()

macro(setstripped _varname _value)
	string(STRIP ${_value} _v)
	if(USE_POSIX_PACKAGING)
		string(TOLOWER ${_v} ${_varname})
	else()
		set(${_varname} ${_v})
	endif()
endmacro(setstripped)

foreach(_c_l ${_config_lines} )
	if(_c_l MATCHES "^AC_INIT\\(\([^,]+\),\([^,]+\), *\\[\([^,]+\)\\] *,\(.*\)")
		setstripped(PACKAGE_BASE ${CMAKE_MATCH_1})
		setstripped(PACKAGE_VERSION ${CMAKE_MATCH_2})
		setstripped(PACKAGE_BUGREPORT ${CMAKE_MATCH_3})
		if(PACKAGE_VERSION MATCHES "^\([0-9]+\)\\.\([0-9]+\).*$")
			set(LYX_MAJOR_VERSION ${CMAKE_MATCH_1})
			set(LYX_MINOR_VERSION ${CMAKE_MATCH_2})
			set(LYX_DIR_VER "LYX_DIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
			set(LYX_USERDIR_VER "LYX_USERDIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
			set(LYX_INSTALL_SUFFIX "${CMAKE_MATCH_1}.${CMAKE_MATCH_2}")
		endif()
	endif()
	if(_c_l MATCHES "^AC_SUBST\\( *LYX_DATE *, *\\[\\\"(.*)\\\"\\].*")
		set(LYX_DATE "${CMAKE_MATCH_1}")
	endif()
endforeach(_c_l)


if (LYX_INSTALL_PREFIX)
	set(CMAKE_INSTALL_PREFIX ${LYX_INSTALL_PREFIX} CACHE PATH "LyX user's choice install prefix" FORCE)
	set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
endif()

if(LYX_PACKAGE_SUFFIX)
	set(PACKAGE ${PACKAGE_BASE}${LYX_INSTALL_SUFFIX})
else()  
	set(PACKAGE ${PACKAGE_BASE})
endif()

if(LYX_PROGRAM_SUFFIX)
	set(PROGRAM_SUFFIX "${LYX_INSTALL_SUFFIX}")
else()
	set(PROGRAM_SUFFIX "")
endif()


if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	# see http://www.cmake.org/pipermail/cmake/2006-October/011559.html
	if (UNIX)
		# don't use the default "/usr/local"
		# but respect the user-choice on the command-line
		if(LYX_INSTALL_SUFFIX)
			set(CMAKE_INSTALL_PREFIX "/usr/local/lyx${LYX_INSTALL_SUFFIX}" CACHE PATH "LyX default install prefix" FORCE)
		else()
			set(CMAKE_INSTALL_PREFIX "/usr/local/${LYX_PROJECT}" CACHE PATH "LyX default install prefix" FORCE)
		endif()
	endif()
	if(WIN32)
		set(CMAKE_INSTALL_PREFIX LYX_INSTALLED CACHE PATH "LyX default install prefix" FORCE)
	endif()
endif()

if (WIN32)
	set(LYX_DATA_SUBDIR "Resources/" CACHE STRING "Subdirectory for all lyx-system-data" FORCE)
else()
	set(LYX_DATA_SUBDIR "" CACHE STRING "Subdirectory for all lyx-system-data" FORCE)
endif()

set(LYX_ABS_INSTALLED_DATADIR "${CMAKE_INSTALL_PREFIX}")
set(LYX_LOCALEDIR "locale")
set(LYX_ABS_INSTALLED_LOCALEDIR "${LYX_ABS_INSTALLED_DATADIR}/${LYX_DATA_SUBDIR}${LYX_LOCALEDIR}")
set(LYX_ABS_TOP_SRCDIR "${TOP_SRC_DIR}")


if(NOT GROUP_CODE)
	#set(GROUP_CODE "The Golden Code")
	set(GROUP_CODE flat)
endif()

# lyx's source files
set(LYX_CPP_FILES *.cpp)
set(LYX_HPP_FILES *.h)
set(LYX_MOC_FILES moc_*.cpp)


include(ProjectSourceGroup)


if(LYX_PROFILE)
	set(CMAKE_BUILD_TYPE Profile CACHE TYPE STRING FORCE)
	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg" CACHE TYPE STRING FORCE)
endif()

if(LYX_RELEASE)
	set(CMAKE_BUILD_TYPE Release CACHE STRING "Build release version" FORCE)
else()
	set(CMAKE_BUILD_TYPE Debug CACHE STRING "Build debug version" FORCE)
endif()

# When shared libs are supported enable this option
#LYX_OPTION(SHARED_LIBRARIES "Build shared libraries" OFF ALL)
if(LYX_SHARED_LIBRARIES)
	set(library_type SHARED)
else()
 	set(library_type STATIC)
endif()

if(NOT MSVC)
	if(NOT LYX_QUIET)
		set(CMAKE_VERBOSE_MAKEFILE ON)
	endif()
	set(LYX_CXX_FLAGS "-Wall -Wunused-parameter")
	if(LYX_STDLIB_DEBUG)
		set(LYX_CXX_FLAGS "${LYX_CXX_FLAGS} -D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC")
	endif()
	if(LYX_CONCEPT_CHECKS)
		set(LYX_CXX_FLAGS "${LYX_CXX_FLAGS} -D_GLIBCPP_CONCEPT_CHECKS")
	endif()
	set(CMAKE_CXX_FLAGS       "${LYX_CXX_FLAGS} -fno-strict-aliasing " CACHE TYPE STRING FORCE)
	set(CMAKE_CXX_FLAGS_DEBUG "${LYX_CXX_FLAGS} -fno-strict-aliasing -O0 -g -D_DEBUG" CACHE TYPE STRING FORCE)
	if(MINGW)
		set(CMAKE_CXX_FLAGS_RELEASE "${LYX_CXX_FLAGS} -O2 -DNDEBUG" CACHE TYPE STRING FORCE)
	else()
		set(CMAKE_CXX_FLAGS_RELEASE "${LYX_CXX_FLAGS} -O3 -DNDEBUG" CACHE TYPE STRING FORCE)
	endif()
	set(CMAKE_CXX_FLAGS_PROFILE "${CMAKE_CXX_FLAGS_RELEASE} -pg" CACHE TYPE STRING FORCE)
endif()


find_package(Qt4 REQUIRED)
find_package(ICONV REQUIRED)
find_package(ZLIB REQUIRED)

include_directories(${CMAKE_BINARY_DIR} ${TOP_SRC_DIR}/src)
  
if(LYX_ASPELL)
	find_package(ASPELL)
	include_directories(${ASPELL_INCLUDE_DIR})
endif()

if(LYX_ENCHANT)
	find_package(Enchant REQUIRED)
	include_directories(${ENCHANT_INCLUDE_DIR})
endif()

if(LYX_HUNSPELL)
	find_package(Hunspell REQUIRED)
	include_directories(${HUNSPELL_INCLUDE_DIR})
endif()

if(LYX_NLS)
	FIND_PROGRAM(LYX_PYTHON_EXECUTABLE python)
	if(${LYX_PYTHON_EXECUTABLE} MATCHES "-NOTFOUND")
		message(FATAL_ERROR "Python 2.6 needed!")
	endif()
	find_package(LyXGettext REQUIRED)
	include_directories(${TOP_SRC_DIR}/po)
	add_subdirectory(po)
endif()

if(LYX_EXTERNAL_LIBINTL)
	find_package(Libintl REQUIRED)
	add_definitions(-DHAVE_GETTEXT) #TODO move to config.h
else()
	add_subdirectory(intl)
endif()

if(LYX_EXTERNAL_BOOST)
	message(STATUS "Searching for boost")
	find_package(Boost COMPONENTS signals regex) #TODO could REQUIRED be used
	if(Boost_FOUND)
		message(STATUS "Boost found")
		message(STATUS "Boost-libs = ${Boost_LIBRARIES}")
		set(Lyx_Boost_Libraries ${Boost_LIBRARIES})
	else()
		message(FATAL_ERROR "Boost not found" ${Boost_ERROR_REASON})
	endif()
else()
	if(LYX_USE_TR1_REGEX)
		set(Lyx_Boost_Libraries boost_signals)
	else()
		set(Lyx_Boost_Libraries boost_signals boost_regex)
	endif()
	add_definitions(-DBOOST_USER_CONFIG="<config.h>")
	include_directories(${TOP_SRC_DIR}/boost)
	add_subdirectory(boost)
endif()




if(WIN32)
	if(NOT LYX_CONSOLE)
		set(WIN32_CONSOLE WIN32)
		set(LYX_QTMAIN_LIBRARY ${QT_QTMAIN_LIBRARY})
	endif()
	if(MSVC)
		add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -DNOMINMAX)
		# disable checked iterators for msvc release builds to get maximum speed
		set(CMAKE_CXX_FLAGS_RELEASE  "${CMAKE_CXX_FLAGS_RELEASE} /D_SECURE_SCL=0")
	else()
		add_definitions(-DWINVER=0x0500)
	endif()
endif()

message(STATUS "")
foreach(_v PACKAGE PACKAGE_VERSION
	PROGRAM_SUFFIX LYX_DATE LYX_DIR_VER LYX_USERDIR_VER
	LYX_ABS_TOP_SRCDIR
	LYX_ABS_INSTALLED_DATADIR LYX_ABS_INSTALLED_LOCALEDIR LYX_INSTALL_SUFFIX)
	if(NOT DEFINED ${_v})
		message(FATAL_ERROR "${_v} not defined")
	endif()
	string(SUBSTRING "${_v}                            " 0 28 _v1)
	message(STATUS "----- ${_v1}: ${${_v}}")
endforeach(_v)
message(STATUS "")


if(LYX_PCH)
	# PCHs not supported by cmake: http://www.cmake.org/Bug/view.php?id=1260
	# Not sure if it works for all non-msvc compilers
	include(PCHSupport_26)
	configure_file(${CMAKE_SOURCE_DIR}/pcheaders.h ${CMAKE_BINARY_DIR}/pcheaders.h)
	configure_file(${CMAKE_SOURCE_DIR}/config.cpp.cmake ${CMAKE_BINARY_DIR}/config_pch.cpp)

=== development/scons/SConstruct ===
# vi:filetype=python:expandtab:tabstop=4:shiftwidth=4
#
# file SConstruct
#
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# \author Bo Peng
# Full author contact details are available in file CREDITS.
#
# This is a scons based building system for lyx, please refer
# to INSTALL.scons for detailed instructions.
#

import os, sys, copy, cPickle, glob, time

# determine where I am ...
#
from SCons.Node.FS import default_fs
# default_fs.SConstruct_dir is where SConstruct file is located.
scons_dir = default_fs.SConstruct_dir.path
scons_absdir = default_fs.SConstruct_dir.abspath

# if SConstruct is copied to the top source directory
if os.path.exists(os.path.join(scons_dir, 'development', 'scons', 'scons_manifest.py')):
    scons_dir = os.path.join(scons_dir, 'development', 'scons')
    scons_absdir = os.path.join(scons_absdir, 'development', 'scons')
# get the ../.. of scons_dir
top_src_dir = os.path.split(os.path.split(scons_absdir)[0])[0]

sys.path.extend([scons_absdir, os.path.join(top_src_dir, 'lib', 'doc')])

# scons_utils.py defines a few utility function
import scons_utils as utils
# import all file lists
from scons_manifest import *

# scons asks for 1.5.2, lyx requires 2.3
EnsurePythonVersion(2, 3)
# Please use at least version 0.97
EnsureSConsVersion(0, 97)

#----------------------------------------------------------
# Global definitions
#----------------------------------------------------------

# some global settings
#
# get version number from configure.ac so that JMarc does
# not have to change SConstruct during lyx release
package_version, majmin_ver, lyx_date = utils.getVerFromConfigure(top_src_dir)
package_cygwin_version = '%s-1' % package_version
boost_version = ['1_34']

if 'svn' in package_version:
    devel_version = True
    default_build_mode = 'debug'
else:
    devel_version = False
    default_build_mode = 'release'

package = 'lyx'
package_bugreport = 'lyx-devel@lists.lyx.org'
package_name = 'LyX'
package_tarname = 'lyx'
package_string = '%s %s' % (package_name, package_version)

# various cache/log files
default_log_file = 'scons_lyx.log'
opt_cache_file = 'opt.cache'


#----------------------------------------------------------
# platform dependent settings
#----------------------------------------------------------

if os.name == 'nt':
    platform_name = 'win32'
    default_prefix = 'c:/program files/lyx'
    default_with_x = False
    default_packaging_method = 'windows'
elif os.name == 'posix' and sys.platform != 'cygwin':
    platform_name = sys.platform
    default_prefix = '/usr/local'
    default_with_x = True
    default_packaging_method = 'posix'
elif os.name == 'posix' and sys.platform == 'cygwin':
    platform_name = 'cygwin'
    default_prefix = '/usr'
    default_with_x = True
    default_packaging_method = 'posix'
elif os.name == 'darwin':
    platform_name = 'macosx'
    # FIXME: macOSX default prefix?
    default_prefix = '.'
    default_with_x = False
    default_packaging_method = 'macosx'
else:  # unsupported system, assume posix behavior
    platform_name = 'others'
    default_prefix = '.'
    default_with_x = True
    default_packaging_method = 'posix'

#---------------------------------------------------------
# Handling options
#----------------------------------------------------------
#
# You can set perminant default values in config.py
if os.path.isfile('config.py'):
    print "Getting options from config.py..."
    print open('config.py').read()

opts = Variables(['config.py'])
opts.AddVariables(
    # frontend
    EnumVariable('frontend', 'Main GUI', 'qt4',
        allowed_values = ('qt4',) ),
    # debug or release build
    EnumVariable('mode', 'Building method', default_build_mode,
        allowed_values = ('debug', 'release') ),
    # boost libraries
    EnumVariable('boost',
        'Use included, system boost library, or try sytem boost first.',
        'auto', allowed_values = (
            'auto',       # detect boost, if not found, use included
            'included',   # always use included boost
            'system',     # always use system boost, fail if can not find
            ) ),
    #
    EnumVariable('gettext',
        'Use included, system gettext library, or try sytem gettext first',
        'auto', allowed_values = (
            'auto',       # detect gettext, if not found, use included
            'included',   # always use included gettext
            'system',     # always use system gettext, fail if can not find
            ) ),
    #
    EnumVariable('spell', 'Choose spell checker to use.', 'auto',
		allowed_values = ('aspell', 'enchant', 'hunspell', 'auto', 'no') ),
    # packaging method
    EnumVariable('packaging', 'Packaging method to use.', default_packaging_method,
        allowed_values = ('windows', 'posix', 'macosx')),
    #
    BoolVariable('fast_start', 'This option is obsolete.', False),
    # No precompiled header support (too troublesome to make it work for msvc)
    # BoolVariable('pch', 'Whether or not use pch', False),
    # enable assertion, (config.h has ENABLE_ASSERTIOS
    BoolVariable('assertions', 'Use assertions', True),
    # config.h define _GLIBCXX_CONCEPT_CHECKS
    # Note: for earlier version of gcc (3.3) define _GLIBCPP_CONCEPT_CHECKS
    BoolVariable('concept_checks', 'Enable concept checks', True),
    #
    BoolVariable('nls', 'Whether or not use native language support', True),
    #
    BoolVariable('profiling', 'Whether or not enable profiling', False),
    # config.h define _GLIBCXX_DEBUG and _GLIBCXX_DEBUG_PEDANTIC
    BoolVariable('stdlib_debug', 'Whether or not turn on stdlib debug', False),
    # using x11?
    BoolVariable('X11', 'Use x11 windows system', default_with_x),
    # use MS VC++ to build lyx
    BoolVariable('use_vc', 'Use MS VC++ to build lyx (cl.exe will be probed)', None),
    #
    PathVariable('qt_dir', 'Path to qt directory', None),
    #
    PathVariable('qt_inc_path', 'Path to qt include directory', None),
    #
    PathVariable('qt_lib_path', 'Path to qt library directory', None),
    # extra include and libpath
    PathVariable('extra_inc_path', 'Extra include path', None),
    #
    PathVariable('extra_lib_path', 'Extra library path', None),
    #
    PathVariable('extra_bin_path', 'A convenient way to add a path to $PATH', None),
    #
    PathVariable('extra_inc_path1', 'Extra include path', None),
    #
    PathVariable('extra_lib_path1', 'Extra library path', None),
    #
    ('rebuild', 'Obsolete option', None),
    # can be set to a non-existing directory
    ('prefix', 'install architecture-independent files in PREFIX', default_prefix),
    # replace the default name and location of the windows installer
    ('win_installer', 'name or full path to the windows installer', None),
    # the deps package used to create minimal installer (qt and other libraries)
    ('deps_dir', 'path to the development depedency packages with zlib, iconv, zlib and qt libraries', None),
    # whether or not build bundle installer
    BoolVariable('bundle', 'Whether or not build bundle installer', False),
    # the bundle directory, containing bundled applications
    PathVariable('bundle_dir', 'path to the bundle dependency package with miktex setup.exe etc', None),
    # build directory, will use $mode if not set
    ('build_dir', 'Build directory', None),
    # version suffix
    ('version_suffix', 'install lyx as lyx-suffix', None),
    # how to load options
    ('load_option', '''load option from previous scons run. option can be
        yes (default): load all options
        no: do not load any option
        opt1,opt2: load specified options
        -opt1,opt2: load all options other than specified ones''', 'yes'),
    #
    ('optimization', 'optimization CCFLAGS option.', None),
    #
    PathVariable('exec_prefix', 'install architecture-independent executable files in PREFIX', None),
    # log file
    ('logfile', 'save commands (not outputs) to logfile', default_log_file),
    # provided for backward compatibility
    ('dest_dir', 'install to DESTDIR. (Provided for backward compatibility only)', None),
    # environment variable can be set as options.
    ('DESTDIR', 'install to DESTDIR', None),
    ('CC', 'replace default $CC', None),
    ('LINK', 'replace default $LINK', None),
    ('CPP', 'replace default $CPP', None),
    ('CXX', 'replace default $CXX', None),
    ('CXXCPP', 'replace default $CXXCPP', None),
    ('CCFLAGS', 'replace default $CCFLAGS', None),
    ('CPPFLAGS', 'replace default $CPPFLAGS', None),
    ('LINKFLAGS', 'replace default $LINKFLAGS', None),
)

# allowed options
all_options = [x.key for x in opts.options]

# copied from SCons/Variables/BoolVariable.py
# We need to use them before a boolean ARGUMENTS option is available
# in env as bool.
true_strings  = ('y', 'yes', 'true', 't', '1', 'on' , 'all' )
false_strings = ('n', 'no', 'false', 'f', '0', 'off', 'none')

if ARGUMENTS.has_key('fast_start'):
    print 'fast_start option is obsolete'

# if load_option=yes (default), load saved comand line options
#
# This option can take value yes/no/opt1,opt2/-opt1,opt2
# and tries to be clever in choosing options to load
if (not ARGUMENTS.has_key('load_option') or \
    ARGUMENTS['load_option'] not in false_strings) \
    and os.path.isfile(opt_cache_file):
    cache_file = open(opt_cache_file)
    opt_cache = cPickle.load(cache_file)
    cache_file.close()
    # import cached options, but we should ignore qt_dir when frontend changes
    if ARGUMENTS.has_key('frontend') and opt_cache.has_key('frontend') \
        and ARGUMENTS['frontend'] != opt_cache['frontend'] \
        and opt_cache.has_key('qt_dir'):
        opt_cache.pop('qt_dir')
    # and we do not cache some options (dest_dir is obsolete)
    for arg in ['load_option', 'dest_dir', 'bundle']:
        if opt_cache.has_key(arg):
            opt_cache.pop(arg)
    # remove obsolete cached keys (well, SConstruct is evolving. :-)
    for arg in opt_cache.keys():
        if arg not in all_options:
            print 'Option %s is obsolete, do not load it' % arg
            opt_cache.pop(arg)
    # now, if load_option=opt1,opt2 or -opt1,opt2
    if ARGUMENTS.has_key('load_option') and \
        ARGUMENTS['load_option'] not in true_strings + false_strings:
        # if -opt1,opt2 is specified, do not load these options
        if ARGUMENTS['load_option'][0] == '-':
            for arg in ARGUMENTS['load_option'][1:].split(','):
                if opt_cache.has_key(arg):
                    opt_cache.pop(arg)
        # if opt1,opt2 is specified, only load specified options
        else:
            args = ARGUMENTS['load_option'].split(',')
            for arg in opt_cache.keys():
                if arg not in args:
                    opt_cache.pop(arg)
    # now restore options as if entered from command line
    for key in opt_cache.keys():
        if not ARGUMENTS.has_key(key):
            ARGUMENTS[key] = opt_cache[key]
            print "Restoring cached option  %s=%s" % (key, ARGUMENTS[key])
    print

# check if there is unused (or misspelled) argument
for arg in ARGUMENTS.keys():
    if arg not in all_options:
        import textwrap
        print "Unknown option '%s'... exiting." % arg
        print
        print "Available options are (check 'scons -help' for details):"
        print '    ' + '\n    '.join(textwrap.wrap(',  '.join(all_options)))
        Exit(1)

# save options used
cache_file = open(opt_cache_file, 'w')
cPickle.dump(ARGUMENTS, cache_file)
cache_file.close()

#---------------------------------------------------------
# Setting up environment
#---------------------------------------------------------

# I do not really like ENV=os.environ, but you may add it
# here if you experience some environment related problem
env = Environment(options = opts)

# set individual variables since I do not really like ENV = os.environ
env['ENV']['PATH'] = os.environ.get('PATH')

=== development/cmake/src/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kmmel, <syntheticpp@gmx.net>
#

set(_lyx ${PACKAGE_BASE}${PROGRAM_SUFFIX})
project(${_lyx})

include_directories(${TOP_SRC_DIR}/src)

add_subdirectory(frontends)
add_subdirectory(graphics)
add_subdirectory(insets)
add_subdirectory(mathed)
add_subdirectory(support)
add_subdirectory(tex2lyx)
if (UNIX)
	add_subdirectory(client)
endif()

file(GLOB lyx_sources ${TOP_SRC_DIR}/src/${LYX_CPP_FILES})
file(GLOB moc_files ${TOP_SRC_DIR}/src/${LYX_MOC_FILES})
list(REMOVE_ITEM  lyx_sources ${moc_files} .)
file(GLOB lyx_headers ${TOP_SRC_DIR}/src/${LYX_HPP_FILES})

list(REMOVE_ITEM lyx_sources
	${TOP_SRC_DIR}/src/Variables.cpp
	${TOP_SRC_DIR}/src/Section.cpp
	${TOP_SRC_DIR}/src/lyxcore.cpp
	${TOP_SRC_DIR}/src/lyxinsets.cpp
	${TOP_SRC_DIR}/src/lyxmathed.cpp)

list(REMOVE_ITEM lyx_headers
	${TOP_SRC_DIR}/src/Variables.h
	${TOP_SRC_DIR}/src/Section.h)

if(NOT APPLE)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/AppleSpellChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/AppleSpellChecker.h)
endif()

if(NOT ASPELL_FOUND)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/AspellChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/AspellChecker.h)
else()
	set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/AspellChecker.cpp)
endif()

if(NOT ENCHANT_FOUND)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/EnchantChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/EnchantChecker.h)
else()
	set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/EnchantChecker.cpp)
endif()

if(NOT HUNSPELL_FOUND)
	list(REMOVE_ITEM lyx_sources ${TOP_SRC_DIR}/src/HunspellChecker.cpp)
	list(REMOVE_ITEM lyx_headers ${TOP_SRC_DIR}/src/HunspellChecker.h)
else()
	set(dont_merge ${dont_merge} ${TOP_SRC_DIR}/src/HunspellChecker.cpp)
endif()


lyx_automoc(${TOP_SRC_DIR}/src/Compare.cpp)
if(WIN32)
	lyx_automoc(${TOP_SRC_DIR}/src/Server.cpp)
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR}
	${ZLIB_INCLUDE_DIR} ${QT_INCLUDES})

lyx_add_msvc_pch(lyx)

if (LYX_DEVEL_VERSION)
	add_definitions(-DDEVEL_VERSION)
endif()

if (LYX_MERGE_FILES)
	if(dont_merge)
		list(REMOVE_ITEM lyx_sources ${dont_merge})
	endif()
	lyx_const_touched_files(_allinone lyx_sources)
	set(lyx_sources ${_allinone_files} ${dont_merge})
endif()

if (LYX_VLD)
	configure_file(${vld_path}/vld.ini ${CMAKE_CURRENT_BINARY_DIR}/vld.ini COPYONLY)
	configure_file(${vld_path}/vld.ini ${CMAKE_CURRENT_BINARY_DIR}/memory_leak_report.txt COPYONLY)
	set(vld_files ${CMAKE_CURRENT_BINARY_DIR}/vld.ini ${CMAKE_CURRENT_BINARY_DIR}/memory_leak_report.txt)
endif()

if(WIN32)
	set(FILE_RC ${CMAKE_SOURCE_DIR}/lyx.rc)
	message(STATUS "Using icon defined in resource file: ${FILE_RC}")
endif()

lyx_find_info_files(LyXInfoFiles ${TOP_SRC_DIR}/*)
lyx_find_info_files(LyXCMakeFiles ${TOP_SRC_DIR}/development/cmake/*)
lyx_find_info_files(LyXCMakeFiles ${TOP_SRC_DIR}/development/cmake/modules/*)
lyx_find_info_files(LyXUiFiles ${TOP_SRC_DIR}/lib/ui/*)

add_executable(${_lyx}
	${WIN32_CONSOLE}
	${lyx_sources}
	${lyx_headers}
	${vld_files}
	${FILE_RC}
	${lyx_info_files}
	${lyx_cmake_files}
)

lyx_add_gcc_pch(${_lyx})

target_link_libraries(${_lyx}
	mathed
	insets
	frontends
	frontend_qt4
	graphics
	support
	${LIBINTL_LIBRARIES}
	${ICONV_LIBRARY}
	${QT_QTMAIN_LIBRARY}
	${vld_dll})

if(HUNSPELL_FOUND)
	target_link_libraries(${_lyx} ${HUNSPELL_LIBRARY})
endif()
if(ASPELL_FOUND)
	target_link_libraries(${_lyx} ${ASPELL_LIBRARY})
endif()
if(ENCHANT_FOUND)
	target_link_libraries(${_lyx} ${ENCHANT_LIBRARY})
endif()

if(APPLE)
	target_link_libraries(${_lyx} "-bind_at_load")
	target_link_libraries(${_lyx} "-framework Carbon")
endif()

if(MINGW)
	target_link_libraries(${_lyx} ole32)
endif()

project_source_group("${GROUP_CODE}" lyx_sources lyx_headers)

install(TARGETS ${_lyx} DESTINATION bin)

=== development/cmake/src/client/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

set(_lyxclient lyxclient${PROGRAM_SUFFIX})
project(${_lyxclient})

file(GLOB _lyxclient_sources ${TOP_SRC_DIR}/src/client/*.cpp)
file(GLOB _lyxclient_headers ${TOP_SRC_DIR}/src/client/*.h)

list(REMOVE_ITEM _lyxclient_headers "${TOP_SRC_DIR}/src/client/pch.h")
list(REMOVE_ITEM _lyxclient_sources "${TOP_SRC_DIR}/src/client/lyxclient.cpp")

include_directories(BEFORE 
	"${TOP_SRC_DIR}/src/client" 
	"${TOP_SRC_DIR}/boost" 
	${ZLIB_INCLUDE_DIR})

add_executable(${_lyxclient} ${_lyxclient_sources} ${_lyxclient_headers})

target_link_libraries(${_lyxclient}
	support
	${Lyx_Boost_Libraries}
	${LIBINTL_LIBRARIES}
	${ICONV_LIBRARY}
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
	)

if(ASPELL_FOUND)
	target_link_libraries(${_lyxclient} ${ASPELL_LIBRARY})
endif()

if(APPLE)
	target_link_libraries(${_lyxclient} "-framework Carbon")
endif()

install(TARGETS ${_lyxclient} DESTINATION bin)

=== debian/changelog ===
lyx (2.0.0~beta4-1) unstable; urgency=low

  [ Sven Hoexter ]
  * New upstream release.
    + Drop the permission fix for lyxsweave.R and include_bib.py.
  * Add texlive-generic-extra to the list of recommends, it's now required
    to build the math manual.
  * Remove build-dependency on libaiksaurus-dev. LyX now supports
    OpenOffice.org mythes-* thesauruses.
  * Update debian/copyright to include the MyThes license.
  * Build explicitly --without-aspell and --without-hunspell. Drop
    --without-pspell since it's no longer supported.
  * Remove debian/patches/fix-manpage-errors, applied upstream.
    Thanks Georg.
  * Remove the latex-xft-fonts dummy package.
  * Remove lyx-common.postinst, lyx-common.preinst, lyx.preinst. All
    migrations supported within those scripts should be finished by now.
  * Remove README.source - no longer needed with source format 3.0.
  * Don't mention texlive-latex-extra in the long description for lyx. It's
    already recommended and thus part of the default installation.
  * Add a note about librsvg2-bin and inkscape to the long description.
  * Move HTML converters from suggests to recommends. (Closes: #611862)

  [ Per Olofsson ]
  * Add debian/source/local-options with option unapply-patches.
  * Remove dependency on mime-support. xdg-utils picks whatever
    mechanism is available.
  * Switch source format to 3.0 (quilt) and remove quilt references in
    rules and control.
  * Use "dh --with autotools_dev" instead of replacing
    config.{sub,guess} manually.
  * Use debhelper v8 compat mode.
  * Use dh_auto_* for building and cleaning.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 07 Feb 2011 14:29:55 +0100

lyx (2.0.0~beta3-1) experimental; urgency=low

  * New upstream release. (Closes: #606118)
    + Includes the proposed fix for the PATH_MAX issue on GNU/Hurd.
      (Closes: #597279)
  * Refresh debian/patches/prefer-xdg-open.
  * Disable debian/patches/fix-manpage-errors for the moment.
  * Update to Standards-Version: 3.9.1 - no changes required.
  * Recommend evince-gtk instead of evince. (Closes: #597623)
  * Move 'librsvg2-bin | inkscape' down from recommends to suggests.
  * Drop our own bash_completion file and instead install the one
    provided by upstream in the correct location.
  * Remove exec permissions on scripts installed in /usr/share/lyx/scripts/
    where we've no shebang line. Currently that's lyxsweave.R and
    included_bib.py.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 02 Feb 2011 21:21:57 +0100

lyx (1.6.7-1) unstable; urgency=low

  * New upstream release.
   + Remove debian/patches/spellcheckfix - applied upstream.
  * Update to Standards-Version: 3.9.0 - no changes required.
  * Remove build-dep on libaspell-dev and --with-aspell configure flag.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 17 Jul 2010 18:02:22 +0200

lyx (1.6.6-2) unstable; urgency=low

  * Add --with-enchant to the configure flags and add build-depend on
    libenchant-dev.
  * Add librsvg2-bin | inkscape to the Recommends to support SVG image
    handling (new in LyX 1.6.6).
  * Set elyxer to the first position in the list of HTML converters.
  * Add debian/patches/spellcheckfix which reverts upstream commit
    r33567 to fix the broken spellchecker in LyX 1.6.6.
    Upstream bugreport: http://www.lyx.org/trac/ticket/6708

 -- Sven Hoexter <hoexter@debian.org>  Fri, 28 May 2010 14:30:19 +0200

lyx (1.6.6-1) unstable; urgency=low

  [ Per Olofsson ]
  * Add texlive-science to Recommends. It's not big, and it's required
    for compiling the LyX math manual. Closes: #508939

  [ Sven Hoexter ]
  * New upstream release.
    + Should no longer crash when inserting floats. Closes: #579630
    + Refresh debian/patches/prefer-xdg-open.
  * Bump Standards-Version to 3.8.4 - no changes required.
  * Add debian/source/format to state that this is still a package in
    1.0 format.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 20 May 2010 13:34:14 +0200

lyx (1.6.5-1) unstable; urgency=low

  [ Per Olofsson ]
  * Modify build-dep on quilt so it accepts backported quilt as well.
  * Remove "obvious" Suggests (lpr, www-browser).
  * Remove conflicts and replaces, as they were only needed pre-lenny.
  * Only unregister latex-xft-fonts from defoma if we're upgrading, not
    on new installations. Otherwise installation might fail.
    Closes: #548119.

  [ Sven Hoexter ]
  * New upstream release.
    + Fixes a crash after editing formulars. Closes: #548519
  * Refresh patches/prefer-xdg-open.
  * Add elyxer to the list of HTML converters.
  * Switch to my @d.o e-mail address in the Uploaders control field.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 07 Dec 2009 20:16:27 +0100

lyx (1.6.4-1) unstable; urgency=low

  * New upstream release.
    - Drop patches detect-elyxer, boost-mt (applied upstream).
  * Bump Standards-Version to 3.8.3. No changes.
  * Un-versioned build-dep on boost.
  * Un-versioned build-dep on python-support.

 -- Per Olofsson <pelle@debian.org>  Thu, 27 Aug 2009 14:58:40 +0200

lyx (1.6.3-5) unstable; urgency=low

  * Check if latex-xft-fonts.hints exists before purging it with defoma.
  * Add debian/gbp.conf making git-buildpackage use pristine-tar.

 -- Per Olofsson <pelle@debian.org>  Sat, 01 Aug 2009 12:29:35 +0200

lyx (1.6.3-4) unstable; urgency=low

  * Make latex-xft-fonts priority extra, correcting override disparity.
  * Create all dirs with mkdir in debian/rules, so that they always
    exist even if we build arch-only. Closes: #537691.

 -- Per Olofsson <pelle@debian.org>  Thu, 23 Jul 2009 10:00:40 +0200

lyx (1.6.3-3) unstable; urgency=low

  * Add Section: fonts to ttf-lyx.
  * Add latex-xft-fonts transitional package.
    - Delete old conffile /etc/defoma/hints/latex-xft-fonts.hints from
      preinst and unregister from defoma.
  * Add patch fix-manpage-errors which fixes errors in tex2lyx(1).
  * Simplify debian/rules even more by using the new dh override
    feature. Also use dh for quilt. Build-deps accordingly.


=== debian/control ===
Source: lyx
Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>
Section: editors
Priority: optional
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-lyx/lyx.git
Vcs-Browser: http://git.debian.org/?p=pkg-lyx/lyx.git
Homepage: http://www.lyx.org/
Build-Depends: python-support, debhelper (>= 8),
 libz-dev, libx11-dev, libenchant-dev,
 autotools-dev, libqt4-dev, libboost-dev,
 libboost-filesystem-dev, libboost-signals-dev,
 libboost-iostreams-dev, libboost-regex-dev, libboost-test-dev,
 pkg-config, tex-common, defoma

Package: lyx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils
Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, ttf-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html 
Suggests: rcs, dvipost, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, menu, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape
Description: Document Processor
 LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
 typesetting quality of LaTeX available for people who are used to
 word processors. Since LyX supports LaTeX's concept of general
 mark-ups, it is even easier and faster to create professional quality
 documents with it than with usual word processors. It is also
 possible to use LaTeX commands within LyX, so nothing of LaTeX's
 power is lost.
 .
 You can extend the functionality of LyX by installing these packages:
  * chktex: check for typographical errors
  * dvipost: display tracked changes in DVI format output
  * gnuhtml2latex: import HTML documents
  * groff: improved table formatting in plain text exports
  * librsvg2-bin, inkscape: use the SVG image format in LyX documents
  * linuxdoc-tools: export SGML LinuxDoc documents
  * noweb: import noweb files
  * rcs: integrated version control
  * sgmltools-lite: export SGML DocBook documents
  * wv: import MS Word documents

Package: lyx-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: lyx
Description: Architecture-independent files for LyX
 This package contains LyX's common files which are not
 architecture-dependent. See the lyx package for a description of LyX
 itself.

Package: ttf-lyx
Architecture: all
Section: fonts
Depends: ${misc:Depends}, defoma
Description: TrueType versions of some TeX fonts
 These fonts are needed for the visual math symbol display in
 LyX. They can also be used to display MathML in Gecko-based browsers
 like Iceweasel.
 .
 The following fonts are included in this package:
  * cmex10  - Computer Modern math extension
  * cmmi10  - Computer Modern math italic
  * cmr10   - Computer Modern Roman
  * cmsy10  - Computer Modern math symbols
  * esint10 - Alternate integrals
  * eufm10  - Euler Fraktur (medium-weight)
  * msam10  - Extra math symbols, first series
  * msbm10  - Extra math symbols, second series, including Blackboard Bold
  * wasy10  - Waldi symbol fonts

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev --builddirectory

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--enable-warnings \
		--enable-nls \
		--with-gnu-ld \
		--without-aspell \
		--without-hunspell \
		--with-enchant \
		--with-x \
		--without-included-gettext \
		--without-included-boost \

override_dh_auto_install:
	dh_auto_install --destdir=debian/lyx-common

# move binaries to arch package
	mkdir -p debian/lyx/usr/share
	mv debian/lyx-common/usr/bin debian/lyx/usr/bin
	mv debian/lyx-common/usr/share/man debian/lyx/usr/share/man

# move fonts to font package
	mkdir -p debian/ttf-lyx/usr/share/fonts/truetype
	mv debian/lyx-common/usr/share/lyx/fonts \
		debian/ttf-lyx/usr/share/fonts/truetype/ttf-lyx

# remove empty directory
	rmdir debian/lyx-common/usr/share/lyx/images/commands

# move tex files to correct place
	mkdir -p debian/lyx-common/usr/share/texmf/tex/latex
	mv debian/lyx-common/usr/share/lyx/tex \
		debian/lyx-common/usr/share/texmf/tex/latex/lyx

# install bash completion in the correct location
	mkdir -p debian/lyx-common/etc/bash_completion.d
	install --mode=644 lib/scripts/bash_completion \
		debian/lyx-common/etc/bash_completion.d/lyx
	rm debian/lyx-common/usr/share/lyx/scripts/bash_completion


override_dh_installdocs:
	mkdir -p debian/lyx/usr/share/doc
	ln -s lyx-common debian/lyx/usr/share/doc/lyx

	dh_installdocs

	mkdir -p debian/ttf-lyx/usr/share/doc/ttf-lyx
	mv debian/ttf-lyx/usr/share/fonts/truetype/ttf-lyx/ReadmeBaKoMa4LyX.txt \
		debian/ttf-lyx/usr/share/doc/ttf-lyx/
	rm debian/ttf-lyx/usr/share/fonts/truetype/ttf-lyx/BaKoMaFontLicense.txt

override_dh_pysupport:
	dh_pysupport /usr/share/lyx

override_dh_install:
	dh_install
	dh_installtex -plyx-common
	dh_installdefoma -pttf-lyx

override_dh_builddeb:
	dh_builddeb -- -Z bzip2

=== debian/watch ===
version=3
ftp://ftp.lyx.org/pub/lyx/stable/1.6.x/lyx-([\d\.]+)\.tar\.gz
